# $Revision: 1.30 $ $Date: 2002/10/19 11:21:52 $
Summary:	Network resources viewer and manager
Summary(pl):	Narzdzie do wizualizacji i zarzdzania zasobami sieciowymi
Name:		cheops
Version:	0.61
Release:	5
License:	GPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.marko.net/pub/cheops/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.marko.net/cheops/
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRequires:	ucd-snmp-devel >= 4.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Cheops aims to be a network "swiss army knife" used for seeing and
accessing network resources. It's written in GTK+ and uses combination
of a variety of network tools (ping, traceroute, halfscan, QueSO).
Provides system adminstrators with a simple interface to identyfying
and accessing their network hardware.

%description -l pl
Cheops ma by "sieciowym scyzorykiem" uywanym do obrazowania i
dostpu do zasobw sieciowych. Zosta napisany przy uyciu GTK+;
wykorzystuje rne narzdzia sieciowe (ping, traceroute, halfscan,
QueSO), umoliwiajc administratorom prost identyfikacj oraz dostp
do ich sprztu sieciowego.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/cheops,%{_datadir}/cheops} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Network/Misc,%{_pixmapsdir}}

install cheops $RPM_BUILD_ROOT%{_bindir}
install pixmaps/*.xpm cheops.conf services.conf $RPM_BUILD_ROOT%{_datadir}/cheops
install plugins/*.so $RPM_BUILD_ROOT%{_libdir}/cheops

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog
%attr(755,root,root) %{_bindir}/cheops
%dir %{_libdir}/cheops
%attr(755,root,root) %{_libdir}/cheops/*.so
%dir %{_datadir}/cheops
%config	%{_datadir}/cheops/*.conf
%{_datadir}/cheops/*.xpm
%{_applnkdir}/Network/Misc/cheops.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cheops.spec,v $
Revision 1.30  2002/10/19 11:21:52  kloczek
release 5: rebuild against ucd-snmp 4.2.6.

Revision 1.29  2002/10/10 12:35:26  marcus
- use new %%doc

Revision 1.28  2002/05/21 23:12:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/05/13 10:00:14  kloczek
- not ucd-snmp 4.2.4 but 4.2.5.

Revision 1.26  2002/05/13 09:55:05  kloczek
- release 4: rebuild against ucd-snmp-deve 4.2.4.

Revision 1.25  2002/04/25 16:04:52  arturs
fixed a small typo

Revision 1.24  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2002/01/03 05:47:41  kloczek
- release 3,
- added ucd-snmp-devel to BuildRequires (was missing),
- rebuild against ucd-snmp 4.2.3.

Revision 1.20  2001/11/23 09:37:17  kloczek
- typo.

Revision 1.19  2001/11/23 07:39:00  kloczek
- added png Icon for .desktop file dor cheops,
- cosmetics.

Revision 1.18  2001/11/22 10:43:44  trojan
- release 2; STBR

Revision 1.17  2001/11/22 10:36:36  trojan
- fixed %%files
- typo

Revision 1.16  2001/10/01 09:45:40  marcus
- new version 0.61

Revision 1.15  2001/08/22 17:24:05  filon
- removed stripping executables, it's done by rpm automation

Revision 1.14  2000/09/11 17:21:46  kloczek
- fiew cosmetics and simplifications (basing on new rpm abilities).

Revision 1.13  2000/09/09 13:53:39  klakier
- s/unneded/unneeded

Revision 1.12  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/28 10:27:45  kloczek
- added using %%configure macro.

Revision 1.10  2000/05/27 22:49:02  michuz
- %%applnkdir changed

Revision 1.9  2000/05/18 16:58:02  kloczek
- spec adapterized.

Revision 1.8  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.7  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.5  2000/03/28 11:10:59  arturs
typo

Revision 1.4  2000/03/27 12:39:55  arturs
- added %description -l pl

Revision 1.3  1999/09/04 09:11:43  wiget
- cosmetic changes

Revision 1.2  1999/08/27 07:37:29  mikrobi
- .wmconfig replaced with .desktop

Revision 1.1  1999/08/26 13:19:48  mikrobi

based on original spec, first repo release
